<template>
    <el-row>
        <el-form-item label="问卷提示" label-width="90px">
            <el-input type="textarea" :rows="5"
                v-model="activeData.__config__.defaultValue"></el-input>
        </el-form-item>

    </el-row>
</template>
<script>
import comMixin from './mixin';
import { getDictionaryDataSelector } from '@/api/systemData/dictionary'
export default {
    props: ['activeData'],
    mixins: [comMixin],
    components: {},
    data() {
        return {
            startOptions: []
        }
    },
    created() {
        if (this.activeData.__config__.valueType == '1') {
            console.log('inputCreated')
            this.getStartOptions();
        }
    },
    methods: {
        valueTypeChange(e) {
            this.activeData.__config__.defaultValue = '';
            if (e == '1') {
                this.getStartOptions();
            }
        },
        getStartOptions() {
            getDictionaryDataSelector('processFormDefaultValue').then(res => {
                this.startOptions = res.data.list
            })
        },
    }
}
</script>